
Finalization Pharmadex for Mozambique, Bangladesh, Namibia, Ethiopia - Bug #1908

Weird behavior of the button "Back" on the Submit Application wizard

07/28/2016 05:08 AM - Oleksii Kurasov

Status: Closed Start date: 07/28/2016

Priority: Immediate Due date: 07/28/2016

Assignee: Oleksii Kurasov % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

When any user with role STAFF perform Application submit, button “Back” application data may be lost. Affected all STAFF users. It

is impossible do not use button “Back”. Because of this issue information in database became “dirty”. Only workaround is to retype

information. Good solution will be button “Save” and warning message «Unsaved changes will be lost. Do you want to continue?”

History

#1 - 07/28/2016 09:37 AM - Oleksii Kurasov

- Status changed from New to Resolved

Warning message has been changed

#2 - 07/29/2016 04:32 AM - Oleksii Kurasov

- Priority changed from Normal to Immediate

#3 - 07/29/2016 05:26 AM - Oleksii Kurasov

Also, this error raises, when user attach file while screening. Cause is same!

#4 - 08/01/2016 02:38 PM - Oleksii Kurasov

- Status changed from Resolved to Feedback

Is it possible to keep old values, when user press No?

#5 - 08/02/2016 06:16 AM - Oleksii Kurasov

- Status changed from Feedback to Resolved

#6 - 08/03/2016 03:41 PM - Oleksii Kurasov

- Status changed from Resolved to Closed

Standard JS solution, ugly, but works
